<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToFactionWork](./bitburner.sleeve.settofactionwork.md)

## Sleeve.setToFactionWork() method

Set a sleeve to work for a faction.

<b>Signature:</b>

```typescript
setToFactionWork(sleeveNumber: number, factionName: string, factionWorkType: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to work for the faction. |
|  factionName | string | Name of the faction to work for. |
|  factionWorkType | string | Name of the action to perform for this faction. |

<b>Returns:</b>

boolean

True if the sleeve started working on this faction, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started working or this faction.

